Package wx :: Class FontEnumerator

[frames | no frames]

## Type FontEnumerator

    object --+
             |
            FontEnumerator

Proxy of C++ FontEnumerator class

Method Summary
FontEnumerator | `__init__(self)`
| `__del__(self)`
bool | `EnumerateEncodings(self, facename)`
bool | `EnumerateFacenames(self, encoding, fixedWidthOnly)`
PyObject | `GetEncodings()` (Static method)
PyObject | `GetFacenames()` (Static method)
bool | ``IsValidFacename`(str)` Convenience function that returns true if the given face name exist in the user's system (Static method)

Property Summary
| `thisown`: The membership flag

Static Method Details

### IsValidFacename(str)

Convenience function that returns true if the given face name exist in the user's system

  Parameters:
    `str`
    (type=String)

  Returns:
    bool

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:28 2007 | http://epydoc.sf.net